Package org.wso2.carbon.mediation.initializer

# Class ServiceBusInitializer

java.lang.Object
org.wso2.carbon.mediation.initializer.ServiceBusInitializer

public class ServiceBusInitializer extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `ServiceBusInitializer.MPMShutdownHandler`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceBusInitializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `activate(org.osgi.service.component.ComponentContext ctxt)`
  `void`
  `createSynapseDebugEnvironment(org.apache.synapse.ServerContextInformation contextInfo)`
  creates Synapse debug environment creates TCP channels using command and event ports which initializes the interface to outer debugger set the relevant information in the server configuration so that it can be used when Synapse environment initializes
  `protected void`
  `deactivate(org.osgi.service.component.ComponentContext ctxt)`
  `static org.apache.synapse.ServerConfigurationInformation`
  `getConfigurationInformation()`
  `protected static org.apache.synapse.ServerConfigurationInformation`
  `getServerConfigurationInformation()`
  `static boolean`
  `isRunningDebugMode()`
  `static boolean`
  `isRunningSamplesMode()`
  `protected void`
  `setConfigurationContextService(org.wso2.carbon.utils.ConfigurationContextService configurationContextService)`
  `protected void`
  `setInboundPersistenceService(org.wso2.carbon.inbound.endpoint.persistence.service.InboundEndpointPersistenceService inboundEndpoint)`
  `protected void`
  `setSecretCallbackHandlerService(org.wso2.carbon.securevault.SecretCallbackHandlerService secretCallbackHandlerService)`
  `protected void`
  `setTaskDescriptionRepositoryService(org.wso2.carbon.task.services.TaskDescriptionRepositoryService repositoryService)`
  `protected void`
  `setTaskSchedulerService(org.wso2.carbon.task.services.TaskSchedulerService schedulerService)`
  `protected void`
  `setTaskService(org.wso2.carbon.mediation.ntask.internal.NtaskService taskService)`
  `protected void`
  `setTaskService(org.wso2.carbon.ntask.core.service.TaskService taskService)`
  `protected void`
  `unsetConfigurationContextService(org.wso2.carbon.utils.ConfigurationContextService configurationContextService)`
  `protected void`
  `unsetInboundPersistenceService(org.wso2.carbon.inbound.endpoint.persistence.service.InboundEndpointPersistenceService inboundEndpoint)`
  `protected void`
  `unsetSecretCallbackHandlerService(org.wso2.carbon.securevault.SecretCallbackHandlerService secretCallbackHandlerService)`
  `protected void`
  `unsetTaskDescriptionRepositoryService(org.wso2.carbon.task.services.TaskDescriptionRepositoryService repositoryService)`
  `protected void`
  `unsetTaskSchedulerService(org.wso2.carbon.task.services.TaskSchedulerService schedulerService)`
  `protected void`
  `unsetTaskService(org.wso2.carbon.mediation.ntask.internal.NtaskService ntaskService)`
  `protected void`
  `unsetTaskService(org.wso2.carbon.ntask.core.service.TaskService taskService)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServiceBusInitializer

    public ServiceBusInitializer()

- ## Method Details

  - ### activate

    protected void activate(org.osgi.service.component.ComponentContext ctxt)

  - ### deactivate

    protected void deactivate(org.osgi.service.component.ComponentContext ctxt)

  - ### isRunningSamplesMode

    public static boolean isRunningSamplesMode()

  - ### isRunningDebugMode

    public static boolean isRunningDebugMode()

  - ### createSynapseDebugEnvironment

    public void createSynapseDebugEnvironment(org.apache.synapse.ServerContextInformation contextInfo)
    creates Synapse debug environment creates TCP channels using command and event ports which initializes the interface to outer debugger set the relevant information in the server configuration so that it can be used when Synapse environment initializes
    Parameters:
      `contextInfo` - Server Context Information

  - ### setConfigurationContextService

    protected void setConfigurationContextService(org.wso2.carbon.utils.ConfigurationContextService configurationContextService)

  - ### unsetConfigurationContextService

    protected void unsetConfigurationContextService(org.wso2.carbon.utils.ConfigurationContextService configurationContextService)

  - ### setTaskDescriptionRepositoryService

    protected void setTaskDescriptionRepositoryService(org.wso2.carbon.task.services.TaskDescriptionRepositoryService repositoryService)

  - ### unsetTaskDescriptionRepositoryService

    protected void unsetTaskDescriptionRepositoryService(org.wso2.carbon.task.services.TaskDescriptionRepositoryService repositoryService)

  - ### setTaskSchedulerService

    protected void setTaskSchedulerService(org.wso2.carbon.task.services.TaskSchedulerService schedulerService)

  - ### unsetTaskSchedulerService

    protected void unsetTaskSchedulerService(org.wso2.carbon.task.services.TaskSchedulerService schedulerService)

  - ### setSecretCallbackHandlerService

    protected void setSecretCallbackHandlerService(org.wso2.carbon.securevault.SecretCallbackHandlerService secretCallbackHandlerService)

  - ### unsetSecretCallbackHandlerService

    protected void unsetSecretCallbackHandlerService(org.wso2.carbon.securevault.SecretCallbackHandlerService secretCallbackHandlerService)

  - ### setTaskService

    protected void setTaskService(org.wso2.carbon.mediation.ntask.internal.NtaskService taskService)

  - ### unsetTaskService

    protected void unsetTaskService(org.wso2.carbon.mediation.ntask.internal.NtaskService ntaskService)

  - ### getConfigurationInformation

    public static org.apache.synapse.ServerConfigurationInformation getConfigurationInformation()

  - ### getServerConfigurationInformation

    protected static org.apache.synapse.ServerConfigurationInformation getServerConfigurationInformation()

  - ### setInboundPersistenceService

    protected void setInboundPersistenceService(org.wso2.carbon.inbound.endpoint.persistence.service.InboundEndpointPersistenceService inboundEndpoint)

  - ### unsetInboundPersistenceService

    protected void unsetInboundPersistenceService(org.wso2.carbon.inbound.endpoint.persistence.service.InboundEndpointPersistenceService inboundEndpoint)

  - ### setTaskService

    protected void setTaskService(org.wso2.carbon.ntask.core.service.TaskService taskService)

  - ### unsetTaskService

    protected void unsetTaskService(org.wso2.carbon.ntask.core.service.TaskService taskService)